using System.ComponentModel.DataAnnotations;

namespace ConstructorApp.EntityLayer.Entities
{
    public class WorkProcess
    {

        [Key]
        public int WorkProcessID { get; set; }
        [StringLength(50)]
        [Required]
        public string? Info { get; set; } // Acquaintance with the customer
        [StringLength(50)]
        [Required]
        public string? Title { get; set; } // Meet and define goals
        [StringLength(500)]
        [Required]
        public string? SubTitle { get; set; } // The first thing we do is meeting with our clients and......
        [StringLength(100)]
        [Required]
        public string? ImageUrl { get; set; } // Image görsel yolu
        public bool IsActive { get; set; } //0=Pasif 1=Aktif
    }
}
